import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import {AppComponent} from "./app.component";
import {AdminDashboardComponent} from "./admin-dashboard/admin-dashboard.component";
import {MainComponent} from "./main/main.component";
import {UserSettingsComponent} from "./user-settings/user-settings.component";
import {TaskgroupDashboardComponent} from "./taskgroups/taskgroup-dashboard/taskgroup-dashboard.component";

const routes: Routes = [
  {path: '', component: MainComponent},
  {path: 'admin', component: AdminDashboardComponent},
  {path: 'user/settings', component: UserSettingsComponent},
  {path: 'taskgroups', component: TaskgroupDashboardComponent}
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
